Unable to install openmediavault-virtualbox

    • OMV 3.x
    • Resolved

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Per wrote:

      It won´t reinstall.
      I don't know what that means. Error messages?
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Hi guys,

      I'm trying to make fresh install omv3 + virtualbox and unfortunately its failing.
      I've tried both 3.0.58 and 3.0.76

      My steps are:

      Source Code

      1. fresh omv install
      2. apt-get update
      3. apt-get upgrade
      4. omv-update
      5. install omv-extras
      6. apt-get update
      7. apt-get upgrade
      8. reboot
      9. install VirtualBox
      Display All

      It loaded 4.9 kernel.
      omv-extras intalled by
      wget omv-extras.org/openmediavault-omvextrasorg_latest_all3.deb
      dpkg -i openmediavault-omvextrasorg_latest_all3.deb
      apt-get update



      Installation of virtualbox gives next error


      Source Code

      1. dpkg: error processing package openmediavault-virtualbox (--configure):
      2. dependency problems - leaving unconfigured
      3. Processing triggers for libc-bin (2.19-18+deb8u9) ...
      4. Processing triggers for systemd (215-17+deb8u7) ...
      5. Errors were encountered while processing:
      6. virtualbox-ext-pack-installer
      7. openmediavault-virtualbox
      8. >>> *************** Error ***************
      What can be an issue? How can I fix it?
    • need more of the output to see what is going wrong. What is all of the output from: apt-get -f install
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Hello,

      I have updated my OMV2 to to OMV 3

      I a problem installing back the virtualbox plugin:

      Source Code

      1. Paramétrage de virtualbox (5.1.26-dfsg-2) ...
      2. insserv: script virtualbox: service vboxdrv already provided!
      3. insserv: exiting now!
      4. update-rc.d: error: insserv rejected the script header


      here are some info about my sources.list


      Source Code

      1. grep -E "backport|virtual" /etc/apt/sources.list.d/*
      2. /etc/apt/sources.list.d/omv-extras-org-stoneburner.list.save:deb http://dh2k.omv-extras.org/debian/ virtualbox-wheezy-mirror main
      3. /etc/apt/sources.list.d/openmediavault-kernel-backports.list:deb http://httpredir.debian.org/debian jessie-backports main contrib non-free
      I deleted the vbox user and /etc/default/virtualbox I said earlier in the topic but doesn't help
      My kernel is

      Source Code

      1. :/usr/lib$ uname -a
      2. Linux openmediavault 4.9.0-0.bpo.5-amd64 #1 SMP Debian 4.9.65-3+deb9u2~bpo8+1 (2017-01-05) x86_64 GNU/Linux
      If somebody has an idea it would be great.

      Thanks
    • allright I have some news:

      I did a

      Source Code

      1. rm -r /etc/init.d/vboxdrv
      I it seems to help

      I am now able to install virtualbox without error

      Only openmediavault-virtualbox is giving an error saying that the user vbox doesn't exist
      I just need to create it manually? What is the password a should set?
    • Guerito73 wrote:

      Only openmediavault-virtualbox is giving an error saying that the user vbox doesn't exist
      I just need to create it manually? What is the password a should set?
      Purge the plugin and delete the /etc/default/openmediavault-virtualbox file. Then reinstall the plugin.
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I upgraded from OMV 3.0 to 4.1 and it worked, but there are old Virtualbox versions (5.1.26) on Bintray so I had to pin the official Stretch Backports repository (5.2.10). I also had to manually remove the VNC extension and install the official extension pack manually with "vboxmanage extpack install" because on Bintray there is only the 5.2.8 installer which crashes Virtualbox everytime a VM is started.

      Can you remove/update the packages on Bintray so it works out of the box?
    • alf wrote:

      I upgraded from OMV 3.0 to 4.1 and it worked, but there are old Virtualbox versions (5.1.26) on Bintray so I had to pin the official Stretch Backports repository (5.2.10). I also had to manually remove the VNC extension and install the official extension pack manually with "vboxmanage extpack install" because on Bintray there is only the 5.2.8 installer which crashes Virtualbox everytime a VM is started.

      Can you remove/update the packages on Bintray so it works out of the box?
      Strange that I haven't had this issue. You must have had backports disabled on your 3.x install. Otherwise, you would have had stretch backports enabled when you upgraded and definitely wouldn't have had to pin anything. That said, I will remove the 5.1.26 package and add the 5.2.10 extpack package.
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I think I have the same problem here. I just did a fresh install of 4.1.8.2. After installation I enabled backports and then tried to install VirtualBox and got the bellow error. If I install VirtualBox before enabling backports I don't get the error. This error also happens when installing the remote desktop plugin.

      The following packages have unmet dependencies:
      openmediavault-virtualbox : Depends: linux-headers-686-pae but it is not installable or
      linux-headers-amd64 but it is not going to be installed
      E: Unable to correct problems, you have held broken packages.

      I've tried disabling backports but that doesn't work either. I would do a fresh install aging but OMV is at a remote location ;(

      Any ideas....

      Thanks, Baldman :)
    • baldman wrote:

      Unable to correct problems, you have held broken packages.
      Must be something with your repos. What is the output of:
      cat /etc/apt/sources.list /etc/apt/sources.list.d/*
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • #
      # deb cdrom:[Debian GNU/Linux 9 _Stretch_ - Official Snapshot amd64 LIVE/INSTALL Binary 20180330-19:01]/ stretch contrib main non-free
      #deb cdrom:[Debian GNU/Linux 9 _Stretch_ - Official Snapshot amd64 LIVE/INSTALL Binary 20180330-19:01]/ stretch contrib main non-free
      deb ftp.us.debian.org/debian/ stretch main non-free contrib
      deb-src ftp.us.debian.org/debian/ stretch main non-free contrib
      deb security.debian.org/debian-security stretch/updates main contrib non-free
      deb-src security.debian.org/debian-security stretch/updates main contrib non-free
      # stretch-updates, previously known as 'volatile'
      deb ftp.us.debian.org/debian/ stretch-updates main contrib non-free
      deb-src ftp.us.debian.org/debian/ stretch-updates main contrib non-free
      # This is file is generated.
      # OMV-Extras repos
      #
      # OMV-Extras.org
      deb dl.bintray.com/openmediavault-plugin-developers/arrakis stretch main
      deb packages.openmediavault.org/public/ arrakis main
      deb openmediavault.github.io/packages/ arrakis main
      # deb downloads.sourceforge.net/project/openmediavault/packages/ arrakis main
      deb [trusted=yes] file:/var/cache/openmediavault/archives /
    • backports are disabled and I'm guessing the 4.16.0-0.bpo.1-amd64 kernel is installed? If so, that is why it can't find the header packages. Re-enable backports and make sure the latest 4.16 kernel (4.16.0-0.bpo.2-amd64) is installed and running.
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Debian GNU/Linux, with Linux 4.16.0-0.bpo.2-amd64 is running, I've enabled it about 100 times lol. I just rebooted too.


      # deb cdrom:[Debian GNU/Linux 9 _Stretch_ - Official Snapshot amd64 LIVE/INSTALL Binary 20180330-19:01]/ stretch contrib main non-free
      #deb cdrom:[Debian GNU/Linux 9 _Stretch_ - Official Snapshot amd64 LIVE/INSTALL Binary 20180330-19:01]/ stretch contrib main non-free
      deb ftp.us.debian.org/debian/ stretch main non-free contrib
      deb-src ftp.us.debian.org/debian/ stretch main non-free contrib
      deb security.debian.org/debian-security stretch/updates main contrib non-free
      deb-src security.debian.org/debian-security stretch/updates main contrib non-free
      # stretch-updates, previously known as 'volatile'
      deb ftp.us.debian.org/debian/ stretch-updates main contrib non-free
      deb-src ftp.us.debian.org/debian/ stretch-updates main contrib non-free
      # This is file is generated.
      # OMV-Extras repos
      #
      # OMV-Extras.org
      deb dl.bintray.com/openmediavault-plugin-developers/arrakis stretch main
      deb httpredir.debian.org/debian stretch-backports main contrib non-free
      deb packages.openmediavault.org/public/ arrakis main
      deb openmediavault.github.io/packages/ arrakis main
      # deb downloads.sourceforge.net/project/openmediavault/packages/ arrakis main
      deb [trusted=yes] file:/var/cache/openmediavault/archives /
    • baldman wrote:

      I've enabled it about 100 times lol
      You have to do it at least 102 times to get it to work :)

      What is the output of: apt-get install linux-headers-amd64
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • 102...lol.. I think it'll be a lot more before I get some sleep...lol

      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:
      The following packages have unmet dependencies:
      linux-headers-amd64 : Depends: linux-headers-4.16.0-0.bpo.2-amd64 but it is not going to be installed
      E: Unable to correct problems, you have held broken packages.
    • What about
      apt-cache policy linux-image-amd64 linux-headers-amd64
      apt-get -f install
      omv 4.1.15 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • apt-cache policy linux-image-amd64 linux-headers-amd64
      linux-image-amd64:
      Installed: 4.16+94~bpo9+1
      Candidate: 4.16+94~bpo9+1
      Version table:
      *** 4.16+94~bpo9+1 500
      100 httpredir.debian.org/debian stretch-backports/main amd64 Packages
      100 /var/lib/dpkg/status
      4.9+80+deb9u4 500
      500 ftp.us.debian.org/debian stretch/main amd64 Packages
      500 security.debian.org/debian-security stretch/updates/main amd64 Packages
      linux-headers-amd64:
      Installed: (none)
      Candidate: 4.16+94~bpo9+1
      Version table:
      4.16+94~bpo9+1 500
      100 httpredir.debian.org/debian stretch-backports/main amd64 Packages
      4.9+80+deb9u4 500
      500 ftp.us.debian.org/debian stretch/main amd64 Packages
      500 security.debian.org/debian-security stretch/updates/main amd64 Packages
      root@Fileserver:~# apt-get -f install
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      root@Fileserver:~#